Bug 839552 - [eap6] configuring security domain has no effect
[eap6] configuring security domain has no effect
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.4
Unspecified Unspecified
high Severity unspecified (vote)
: ---
: JON 3.1.1
Assigned To: Simeon Pinder
Mike Foley
:
Depends On:
Blocks: as7-plugin 846373
  Show dependency treegraph
 
Reported: 2012-07-12 05:32 EDT by Libor Zoubek
Modified: 2015-11-01 19:43 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 846373 (view as bug list)
Environment:
Last Closed: 2013-09-03 11:03:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Libor Zoubek 2012-07-12 05:32:42 EDT
Description of problem: When configuring security domain on EAP6, JON claims configuration update was successfull, but incorrectly. Configuration is not updated on server


Version-Release number of selected component (if applicable):
Version: 4.5.0-SNAPSHOT
Build Number: fce34e6
EAP 6.GA

How reproducible:always


Steps to Reproduce:
1.have EAP6 in standalone mode, go to security subsystem and add a security domain
2.configure security domain - change cache-type
  
Actual results: RHQ claims that config update was successfull, but configuration on EAP is not changed. Agent produces this in log:

2012-07-12 11:01:14,103 WARN  [ResourceContainer.invoker.daemon-408] (rhq.modules.plugins.jbossas7.ASConnection)- Received 500 (Internal Server Error) response to Operation{operation='read-attribute', address=Address{path: subsystem=security,security-domain=aaa}, additionalProperties={name=name}} - response body was [{"outcome" : "failed", "failure-description" : "JBAS014792: Unknown attribute name", "rolled-back" : true, "response-headers" : {"process-state" : "reload-required"}}].
2012-07-12 11:01:17,959 WARN  [ResourceContainer.invoker.daemon-408] (rhq.modules.plugins.jbossas7.ASConnection)- Received 500 (Internal Server Error) response to Operation{operation='read-attribute', address=Address{path: subsystem=security,security-domain=aaa}, additionalProperties={name=name}} - response body was [{"outcome" : "failed", "failure-description" : "JBAS014792: Unknown attribute name", "rolled-back" : true, "response-headers" : {"process-state" : "reload-required"}}].

Refreshing UI and reading live configuration shows original configuration - without any change.

Expected results: Configuration is changed.


Additional info:
Comment 1 Simeon Pinder 2012-08-07 11:09:16 EDT
This is an issue. I've reproduced and fixed it.
Comment 2 Simeon Pinder 2012-08-07 11:22:09 EDT
This has been cherry-picked to release branch with commit: 1cec8331d35d32db

Moving this to MODIFIED for testing in next JON binary.
Comment 3 John Sanda 2012-08-13 22:16:41 EDT
Moving to ON_QA since JON 3.1.1 ER2 build is availble - https://brewweb.devel.redhat.com/buildinfo?buildID=228250
Comment 4 Armine Hovsepyan 2012-09-04 09:55:11 EDT
Verified with JON 3.1.1 CR1

Verification steps:

Start EAP in standard mode -> Inventory EAP -> Install RHQ user -> Create new child with security domain type under security subsystem with cache type default -> verified in EAP side cache type is default -> update cache type of new resource to infinispan -> reload EAP -> verifyed cache type is infinispan in EAP side.
Comment 5 Heiko W. Rupp 2013-09-03 11:03:07 EDT
Bulk closing of old issues in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.